/*
 * Copyright (c) 2009-2010 Jose-Luis Lisani <joseluis.lisani@uib.es>
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This code is associated to IPOL publication:
*
* Image Color Cube Dimensional Filtering an Visualization,
* J.L. Lisani, A. Buades, J-M. Morel, 2011 
*
*/

#ifndef RGBCUBE_H
#define RGBCUBE_H


int RGBviews_sequence_params(const char *paramsfile);


void projectRGBcubeB(unsigned char *R, unsigned char *G, unsigned char *B, 
                     int npoints, unsigned char *IR, unsigned char *IG, unsigned char *IB, 
                     unsigned char *Rout, unsigned char *Gout, 
                     unsigned char *Bout, 
                     int wout, int hout, 
                     float M[3], float u[3], float v[3]);



#endif

