/*
 * Copyright (c) 2011 Toni Buades <toni.buades@uib.es>
 *
 * Based on code from Megawave libraries created by Jacques Froment
 *
 * All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _splinesMW_h
#define _splinesMW_h


//
//! Splines Stuff
//
float vMW(float *in,int x,int y,float bg, int width, int height);
void keysMW(float *c,float t,float a);
void spline3MW(float *c,float t);
void init_splinenMW(float *a,int n);
float ipowMW(float x,int n);
void splinenMW(float *c,float t,float *a,int n);
double initcausalMW(double *c,int n,double z);
double initanticausalMW(double *c,int n,double z);
void invspline1DMW(double *c,int size,double *z,int npoles);
void finvsplineMW(float *in,int order,float *out, int width, int height);
float evaluate_splineMW(float *input, float *ref, float xp, float yp, float *ak, int order, float bg, int width, int height);



#endif
